<template>
	<div class="padding margin-top-25">
    <div>
      <div class="row card-binding">
        <div class="columns six">
          <label for="yandex_wallet">Номер кошелька</label>
          <input
            type="text"
            id="yandex_wallet"
            name="номера кошелька"
            v-model="user.yandex_wallet"
            v-validate="'required|min:13'"
            @input="setValue('yandex_wallet')"
            v-mask="'###############'"
          >
          <validate-message
            v-show="vErrors.has('номера кошелька')"
          >{{ vErrors.first('номера кошелька') }}
          </validate-message>
        </div>
      </div>
    </div>

    <div class="center">
      <button :disabled="!agree" @click="addYandexPurse">Привязать кошелек</button>
    </div>

    <identification v-show="showIdentification"></identification>
	</div>
</template>

<script>
  import IndicatorRegistration from '@/mixins/IndicatorRegistration'
  import UserGetter from '@/mixins/User/UserGetterMixin'
  import UserSetter from '@/mixins/User/UserSetterMixin'
  import UserErrorText from '@/mixins/User/UserErrorTextMixin'
  import ValidateMessage from '@/components/Validators/ValidateMessage'
  import Identification from './Identification'
  import GetValidateClass from '@/mixins/Validation/GetValidateClassMixin'
  import { REQUIRED_FIELD } from '@/components/Validators/CustomVeeValidateMessage'

  export default {
    name: 'yandex-purse',
    data () {
      return {
        agree: false,
        showIdentification: false
      }
    },
    mixins: [
      IndicatorRegistration,
      UserGetter,
      UserSetter,
      UserErrorText,
      GetValidateClass
    ],
    components: {
      ValidateMessage,
      Identification
    },
    mounted () {
      this.$validator.localize(REQUIRED_FIELD)
    },
    methods: {
      addYandexPurse () {
        this.showIdentification = true
      }
    },
    updated () {
      this.agree = Object.keys(this.$validator.flags).reduce((acc, item) => acc && this.$validator.flags[item].valid, true)
    }
  }
</script>

<style></style>
